%overlay-tmpl {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 1;
  transition: opacity $overlay-delay;
  &.hidden {
    display: none;
  }
  &.opacity {
    opacity: 0;
  }
}

.window-overlay {
  @extend %overlay-tmpl;
  display: block;
  z-index: $z-overlay;
}

.popup-wrap {
  @extend %overlay-tmpl;
  z-index: $z-popup;

  .popup {
    position: relative;
    width: 636px;

    .scb-popup-close-btn {
      position: absolute;
      top: map-get($spacers, 4);
      right: map-get($spacers, 4);
    }
  }
}
